> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Click signals

> When a user clicks on an item displayed from your site, including results returned from a query, the information is contained in a click signal.






## OpenAPI

````yaml /api-reference/saas/lw-platform-signals.json post /retail/signals/click
openapi: 3.1.0
info:
  title: Lucidworks Platform Signals API
  version: '1.0'
  description: >
    This API is used to track retail query, click, cartadd, and purchase
    signals. Your organization may use this API as an alternative to the
    Lucidworks signals beacon features if, for example, your organization uses a
    mobile app that cannot accept javascript, has security configuration
    differences, or already uses another framework for sending signals.


    When the signals are collected, you can use the insights and analytics in
    Lucidworks Platform Analytics Studio to help refine your site and improve
    customer interactions. 
  contact:
    name: Lucidworks
    url: https://lucidworks.com
    email: support@lucidworks.com
  termsOfService: https://lucidworks.com/legal/developer-license-agreement/
  license:
    name: Lucidworks
    url: https://lucidworks.com/legal/developer-license-agreement/
servers:
  - url: https://{SIGNAL_STORE_ID}.applications.lucidworks.com
    description: Production
    variables:
      SIGNAL_STORE_ID:
        default: '{SIGNAL_STORE_ID}'
security: []
tags:
  - name: Get signals
paths:
  /retail/signals/click:
    servers:
      - url: https://{SIGNAL_STORE_ID}.applications.lucidworks.com
        description: ''
        variables:
          SIGNAL_STORE_ID:
            default: '{SIGNAL_STORE_ID}'
    parameters:
      - schema:
          type: string
          example: application/json
          default: application/json
        in: header
        name: Accept
        description: Header acceptance criteria
        required: true
      - schema:
          type: string
          example: qasdlkjdoiu1123455WECMMLLJ22eeg
          default: '{EMBED_TOKEN}'
        in: header
        name: Authorization
        description: >-
          This is the Lucidworks Platform Analytics Studio embed token generated
          after the signal store is created. To obtain the embed token:  1. Sign
          in to Lucidworks Platform, click **Signals** from the megamenu, and
          then click the signal store.  2. Click **Integrations > Signals Using
          Embed Token**.  3. If the token is not generated, click **Generate**.
          The embed token displays on the screen and also in all of the cURL
          examples. 4. Copy that token to paste into your codebase.
        required: true
      - schema:
          type: string
          example: application/json
          default: application/json
        in: header
        name: Content-Type
        description: Content type format
        required: true
    post:
      tags:
        - Get signals
      summary: Click signals
      description: >+
        When a user clicks on an item displayed from your site, including
        results returned from a query, the information is contained in a click
        signal.


      operationId: postRetailSignalsClick
      parameters: []
      requestBody:
        description: ''
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RetailClickSignals'
      responses:
        '202':
          $ref: '#/components/responses/response-202-signal-queued'
        '400':
          $ref: '#/components/responses/response-error-400-bad-request'
components:
  schemas:
    RetailClickSignals:
      title: ClickSignals
      type: array
      items:
        $ref: '#/components/schemas/RetailClick'
    RetailClick:
      title: RetailClick
      type: object
      required:
        - timestamp
        - visitorId
        - sessionId
        - queryId
        - productDetails
        - sourceId
        - uri
      properties:
        timestamp:
          type: integer
          format: int64
          x-oapi-codegen-extra-tags:
            validate: required
          description: The event time displayed in epoch time milliseconds.
          example: 1744305461169
        visitorId:
          type: string
          x-oapi-codegen-extra-tags:
            validate: max=128
          maxLength: 128
          description: >-
            The unique identifier for the visitor (user) associated with the
            signal. The field is a UTF-8 encoded string with a maximum of 128
            characters. Do not use personally identifiable information (PII) or
            user data in the value.
          example: abcc8e25-d30f-2212-9f60-9b45a71453cf
        sessionId:
          type: string
          x-oapi-codegen-extra-tags:
            validate: required,max=128
          maxLength: 128
          description: >-
            The unique identifier that tracks a specific session of a user's
            activity over a period of time.
          example: 41a50e2-8e32-4674-5429-e1450dfdbb14
        queryId:
          type: string
          x-oapi-codegen-extra-tags:
            validate: required
          description: The unique identifier for the user query.
          example: 2a97fc33-3335-3369-c2dc-456b775eb90f
        ipAddress:
          type: string
          x-oapi-codegen-extra-tags:
            validate: ip
          description: >-
            This optional parameter is the IP address of the browser or device
            that generated the signal.


            The IP address may be passed in the signal. If it is not passed in
            the signal, it is extracted from the request, and the last octet is
            dropped to mask the user's location for security purposes.
          example: 111.222.333
        productDetails:
          type: array
          items:
            $ref: '#/components/schemas/ProductDetail'
        sourceId:
          type: string
          description: >-
            A freeform text field used to identify where the API call
            originates.




            The value has no effect on search relevancy.
        uri:
          type: string
          description: >-
            The canonical URL of the product's detail page. The field is a UTF-8
            encoded string with a maximum of 5000 characters.
          example: https://example.com/refrigerators/silver/bottomfreezer
        selectedPosition:
          type: integer
          description: >-
            The position of the clicked product in the search results, using
            one-based indexing. The first item is 1, the second is 2, and so on.
            This field is critical for calculating Average Click Position
            analytics.
          format: int64
          minimum: 1
    ProductDetail:
      title: ProductDetail
      type: object
      description: Detailed information about the project.
      required:
        - product
      properties:
        product:
          $ref: '#/components/schemas/Product'
        quantity:
          type: integer
          minimum: 1
          default: 1
          description: >-
            Specifies the quantity of the product associated with the user
            interaction. This field is optional and defaults to 1 when not
            provided. If provided, the quantity must be at least 1.
    Product:
      title: Product
      type: object
      description: >-
        Description, unique identifier, price, and image information about the
        product.
      x-oapi-codegen-extra-tags:
        validate: required
      required:
        - productId
        - currencyCode
        - price
        - title
        - imageuri
      properties:
        productId:
          type: string
          description: >-
            The unique identifier for the product. The field is a UTF-8 encoded
            string with a maximum of 128 characters.
          x-oapi-codegen-extra-tags:
            validate: required,max=128
          maxLength: 128
          example: '1234567'
        currencyCode:
          type: string
          description: >-
            The three-letter code that defines the currency type, displayed in
            ISO-4217 format.
          default: USD
          x-oapi-codegen-extra-tags:
            validate: required,iso4217
          maxLength: 3
        price:
          type: number
          format: double
          description: The price of the product when the signal was created.
          example: 2592
        title:
          type: string
          description: The title of the product when the signal was created.
          x-oapi-codegen-extra-tags:
            validate: required,max=1000
          example: Silver french door bottom freezer 27.4 cu ft refrigerator
        imageuri:
          type: string
          x-oapi-codegen-extra-tags:
            validate: max=5000
          maxLength: 5000
          description: >-
            The canonical URL of the product image. The field is a UTF-8 encoded
            string with a maximum of 5000 characters.
          example: >-
            https://example.com/images/refrigerators/silver/bottomfreezer/1234567.jpg
  responses:
    response-202-signal-queued:
      description: ACCEPTED
      content: {}
    response-error-400-bad-request:
      description: INVALID REQUEST
      content: {}

````